
CC = gcc
INCLUDE = ../include/
CFLAGS = -O3 -I$(INCLUDE) -g -Wall -fPIC # all
RM = rm

SOURCES = magic_mult.c \
          RobboTriple.c \
          RobboTripleDisk.c \
          RobboTripleGlue.c \
          RobboTriple_iniz.c \
          RobboTripleMakeUndo.c \
          RobboTripleScore.c \
          RobboTripleValue.c \
          RobboTripleUtil.c

OBJS = $(SOURCES:.c=.o) # HACK
default: Makefile
	$(MAKE) $(OBJS)
%.o: %.c *.h Makefile
	$(CC) $(CFLAGS) -o $@ -c $<
clean:
	$(RM) -f *.o
